USB_AUTOPM_PUT_INTER(9)

NAME
usb_autopm_put_interface - decrement a USB interface's PM-usage counter

SYNOPSIS

void usb_autopm_put_interface(struct usb_interface * intf);

ARGUMENTS

intf
    the usb_interface whose counter should be decremented

DESCRIPTION

This routine should be called by an interface driver when it is finished using intf and wants to allow it to autosuspend. A typical example would be a character-device driver when its device file is closed.

The routine decrements intf's usage counter. When the counter reaches 0, a delayed autosuspend request for intf's device is attempted. The attempt may fail (see autosuspend_check).

This routine can run only in process context.

COPYRIGHT